Package ru.bitel.bgbilling.modules.reports.common.service

# Interface ReportService

public interface ReportService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkAccessAllowByReport(String reportId)`
  Проверка возможности просмотра отчета для пользователя
  `boolean`
  `checkReportExists(String reportFileName)`
  `ReportAccessRule`
  `getAccessRulesByReportId(String reportId)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `getModuleReportList(String reportModule)`
  `String`
  `getReportData(String reportModule, String reportId)`
  `List<ru.bitel.bgbilling.modules.reports.common.dto.ReportModule>`
  `reportModules()`
  `void`
  `resetReportCache()`
  `void`
  `saveReport(String reportFileName, String xmlData)`
  Сохранение xml описания отчета на сервере в папке reports после редактирования в конструкторе
  `void`
  `updateAccessRulesByReport(ReportAccessRule reportAccessRule)`
  Обновление/добавление правила доступа видимости отчета

- ## Method Details

  - ### saveReport

    void saveReport(String reportFileName, String xmlData) throws ru.bitel.bgbilling.common.BGException
    Сохранение xml описания отчета на сервере в папке reports после редактирования в конструкторе
    Parameters:
      `xmlData` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkReportExists

    boolean checkReportExists(String reportFileName) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAccessRulesByReportId

    ReportAccessRule getAccessRulesByReportId(String reportId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `reportId` - ID отчета(строковое название файла отчета без расширения)
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### reportModules

    List<ru.bitel.bgbilling.modules.reports.common.dto.ReportModule> reportModules() throws ru.bitel.bgbilling.common.BGException
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateAccessRulesByReport

    void updateAccessRulesByReport(ReportAccessRule reportAccessRule) throws ru.bitel.bgbilling.common.BGException
    Обновление/добавление правила доступа видимости отчета
    Parameters:
      `reportAccessRule` - правила доступа видимости отчета
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkAccessAllowByReport

    boolean checkAccessAllowByReport(String reportId) throws ru.bitel.bgbilling.common.BGException
    Проверка возможности просмотра отчета для пользователя
    Parameters:
      `reportId` - ID отчета(строковое название файла отчета без расширения)
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModuleReportList

    List<ru.bitel.bgbilling.common.model.KeyValue> getModuleReportList(String reportModule) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `reportModule` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getReportData

    String getReportData(String reportModule, String reportId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `reportId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### resetReportCache

    void resetReportCache() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`